## ros-humble-tiago-moveit-config 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tiago_moveit_config)

# PAL Robotics stricter build flags, other developers should not worry about this
find_package(ament_cmake_pal QUIET)
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}
  PATTERN "setup_assistant.launch.py" EXCLUDE)
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-humble-tiago-moveit-config (3.0.2-1jammy) jammy; urgency=high

  * config files regeneration
  * update get_tiago_hw_suffix method usage
  * Contributors: Noel Jimenez

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-humble-tiago-moveit-config (3.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix_move_group' into 'humble-devel'
    Add missing pilz_cartesian_limits for moveit config
    See merge request robots/tiago_moveit_config!50
  * add missing pilz_cartesian_limits for moveit config
  * Contributors: Jordan Palacios, Noel Jimenez

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-tiago-moveit-config (3.0.0-1jammy) jammy; urgency=high

  * Merge pull request #11 from AndyZe/andyz/cm_update
    [Humble] Update the ControllerManger name
  * Update in the .em file as well
  * Update the Controller Manager name
  * Merge branch 'add_missing_dependencies' into 'humble-devel'
    Add missing dependencies
    See merge request robots/tiago_moveit_config!46
  * add missing dependencies
  * Merge branch 'update_rviz_cfg' into 'humble-devel'
    Update rviz config
    See merge request robots/tiago_moveit_config!45
  * update rviz cfg
  * Merge branch 'cleanup' into 'humble-devel'
    update pkg deps
    See merge request robots/tiago_moveit_config!44
  * update pkg deps
  * Merge branch 'linters' into 'humble-devel'
    Linters
    See merge request robots/tiago_moveit_config!43
  * linters
  * copyright
  * CONTRIBUTING.md
  * add linters
  * Merge branch 'update_launchers' into 'humble-devel'
    Update moveit launchers refactor
    See merge request robots/tiago_moveit_config!42
  * update config and use MoveItConfigsBuilder for launchers
  * regenerate controller yaml files
  * rm name to avoid duplicated node
  * update moveit launchers refactor
  * Merge branch 'refactor_ld' into 'humble-devel'
    Refactor LaunchDescription population
    See merge request robots/tiago_moveit_config!41
  * refactor LaunchDescription population
  * Merge branch 'license' into 'humble-devel'
    Add Apache License
    See merge request robots/tiago_moveit_config!40
  * add LICENSE
  * Merge branch 'cleanup' into 'humble-devel'
    Cleanup
    See merge request robots/tiago_moveit_config!39
  * rm ros1 launchers
  * Merge branch 'update_maintainers' into 'humble-devel'
    update maintainers
    See merge request robots/tiago_moveit_config!38
  * update maintainers
  * Merge branch 'separate_rviz_and_move_group' into 'foxy-devel'
    Separate rviz from move group launcher
    See merge request robots/tiago_moveit_config!33
  * separate rviz from move_group launcher
  * Update rviz config
  * Add camera_model to description generator
  * Style and cleanup
  * Use rviz in this repo
  * Update move_group for all tiago configurations
  * Fix controllers and srdf generation
  * Regenerate srdf and controllers for ROS2
  * Initial hard coded ROS2 version
  * Contributors: AndyZe, Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, Sai Kishor Kothakota, Victor Lopez

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Tue, 29 Nov 2022 00:00:00 -0000

ros-humble-tiago-moveit-config (1.1.1-1jammy) jammy; urgency=high



 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Thu, 06 May 2021 00:00:00 -0000

ros-humble-tiago-moveit-config (1.1.0-1jammy) jammy; urgency=high

  * Merge branch 'robotiq_gripper' into 'erbium-devel'
    Robotiq gripper
    See merge request robots/tiago_moveit_config!22
  * update the SRDF with the missing FT links
  * Update the SRDF configuration
  * update the robotiq end effector naming
  * initial commit of robotiq 85 and 140 moveit config of TIAGo
  * Add README and update setup assistant xacro file name
  * Contributors: Sai Kishor Kothakota, Victor Lopez, saikishor

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Thu, 06 May 2021 00:00:00 -0000

ros-humble-tiago-moveit-config (1.0.6-1jammy) jammy; urgency=high

  * Merge branch 'hey5_marker' into 'erbium-devel'
    Hey5 marker
    See merge request robots/tiago_moveit_config!21
  * Hey5 marker
  * Contributors: Adria Roig, victor

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Thu, 01 Oct 2020 00:00:00 -0000

ros-humble-tiago-moveit-config (1.0.5-1jammy) jammy; urgency=high

  * Add arm_5 wrist ignore collisions
  * Contributors: Victor Lopez

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Tue, 09 Jun 2020 00:00:00 -0000

ros-humble-tiago-moveit-config (1.0.4-1jammy) jammy; urgency=high

  * Merge branch 'custom-ee' into 'erbium-devel'
    Allow using custom end-effector
    See merge request robots/tiago_moveit_config!19
  * Allow using custom end-effector
  * Contributors: davidfernandez, victor

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Tue, 21 Apr 2020 00:00:00 -0000

ros-humble-tiago-moveit-config (1.0.3-1jammy) jammy; urgency=high

  * Merge branch 'move_group_capability' into 'erbium-devel'
    send capabilities through args
    See merge request robots/tiago_moveit_config!18
  * send capabilities through args
  * Contributors: Victor Lopez, YueErro

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Thu, 06 Feb 2020 00:00:00 -0000

ros-humble-tiago-moveit-config (1.0.2-1jammy) jammy; urgency=high

  * Add missing multi argument
  * Decrease segment size for validation
  * Contributors: Victor Lopez

 -- TIAGo PAL support team <tiago-support@pal-robotics.com>  Thu, 22 Aug 2019 00:00:00 -0000

ros-humble-tiago-moveit-config (1.0.1-1jammy) jammy; urgency=high

  * Merge branch 'specifics-refactor' into 'erbium-devel'
    Added autogenerated srdf
    See merge request robots/tiago_moveit_config!16
  * Restore old camera parameter
  * Refactor controllers files
  * Refactor joint limits and srdf
  * Added autogenerated srdf
  * Contributors: Victor Lopez



=== debian/control ===
Source: ros-humble-tiago-moveit-config
Section: misc
Priority: optional
Maintainer: TIAGo PAL support team <tiago-support@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-humble-tiago-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-launch-pal, ros-humble-moveit-configs-utils, ros-humble-moveit-kinematics, ros-humble-moveit-planners-ompl, ros-humble-moveit-ros-control-interface, ros-humble-moveit-ros-move-group, ros-humble-moveit-ros-visualization, ros-humble-tiago-description, ros-humble-ros-workspace
Description: An automatically generated package with all the configuration and launch files for using the tiago with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tiago-moveit-config//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
